Subject: Re: bug#10895: Quirky behaviours with Arabic text

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Feb 2012 20:17:49 +0200

> Date: Mon, 27 Feb 2012 00:47:36 +0100
> From: sergei karhof <[email-masked]>
> 
> I want to report some quirky behaviours of Emacs (devel 24.0.93 version,
> running under Windows 7), when dealing with Arabic text:

Thanks.

Jason and Kenichi, could you please take a look at this problem?  The
first question I'd ask is whether this is specific to Windows, or do
we have similar problems on GNU/Linux with libotf?

Sergei, could you please try invoking Emacs with the
`-xrm Emacs.fontBackend:gdi' command-line argument, and see if the
problem persists with the GDI backend?  That's assuming that GDI at
all supports Arabic shaping; I don't know enough about this to tell,
sorry.